Expo-cli tunnel URL not found

Because of upgrading our expo SDK from 36 to 38, I thought I’d upgrade expo-cli as well. Once again, big mistake. I’ve been sitting on v3.11.9 ever since the later version wouldn’t connect via tunnel. Tested it again yesterday with the latest version and it wouldn’t resolve the tunnel. Even after running expo-start, having it sit on LAN overnight (16 hours) and switching to tunnel, it still didn’t connect.

I know there’s programs I can run to create tunnels, but it seems like a work around to a problem with expo-cli. My question is are there any version later than v3.11.9 where I can run expo-start, go to the tab, click the tunnel connection and have a tunnel ready without any other work?

expo: 38.0.0
expo-cli: 3.11.9

Hey @jchristman,

Sorry to hear you’ve been having issues with the cli. Tunnel should certainly be working with subsequent versions of the cli after 3.11.9. What OS are you on?

Cheers,
Adam

ubuntu 16.04

Networking shouldn’t be the issue. If I can connect via tunnel, it should work for any version of cli. I’ll try my home setup, same version of ubuntu, and see if it works. Is there any logs that would give a specific error message to why the tunnel wouldn’t setup correctly?

It seems like a regular thing to break tunnels with new releases. I just installed 3.26.1 (doing a clean install to make a video for a class I’m teaching) and the tunnel could never get started. Uninstalled and installed 3.25.0 (chosen at random from recent versions) and everything worked great. It would be great if tunnels could keep working in all the releases. Gonna be a headache to explain this to my students.

1 Like

Thanks for the heads up. I’ll give that a shot.

Another update: I tried 3.26.2 and the tunnel worked at first and then, a day or two later, didn’t. Then tried 3.27.4–nope. Downgraded to 3.25.0 again and the tunnel worked again. I hope the expo devs are reading this and will fix the tunnel bug that seems to have been introduced around 3.25.1 or later. It’s very bizarre, but this flakiness is really bothersome. Gonna stick with 3.25.0 I guess.

1 Like

That’s bizarre. I don’t load up the tunnel directly, I click to it through the GUI. That way I give it plenty of time to setup a connection.